---
title: Delete Vectors By Identifier
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Vectorize](https://developers.cloudflare.com/api/python/resources/vectorize)

[Indexes](https://developers.cloudflare.com/api/python/resources/vectorize/subresources/indexes)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete Vectors By Identifier

vectorize.indexes.delete\_by\_ids(strindex\_name, IndexDeleteByIDsParams\*\*kwargs) -> [IndexDeleteByIDsResponse](<https://developers.cloudflare.com/api/python/resources/vectorize#(resource)%20vectorize.indexes%20%3E%20(model)%20index_delete_by_ids_response%20%3E%20(schema)>)

POST/accounts/{account\_id}/vectorize/v2/indexes/{index\_name}/delete\_by\_ids

Delete a set of vectors from an index by their vector identifiers.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Vectorize Write`

##### ParametersExpand Collapse

account\_id: str

Identifier

maxLength32

[Link to this property](<#(resource)%20vectorize.indexes%20%3E%20(method)%20delete_by_ids%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

index\_name: str

[Link to this property](<#(resource)%20vectorize.indexes%20%3E%20(method)%20delete_by_ids%20%3E%20(params)%20default%20%3E%20(param)%20index_name%20%3E%20(schema)>)

ids: Optional\[Sequence\[str]]

A list of vector identifiers to delete from the index indicated by the path.

[Link to this property](<#(resource)%20vectorize.indexes%20%3E%20(method)%20delete_by_ids%20%3E%20(params)%20default%20%3E%20(param)%20ids%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class IndexDeleteByIDsResponse: …

</summary>

mutation\_id: Optional\[str]

The unique identifier for the async mutation operation containing the changeset.

maxLength36

<a href="#(resource)%20vectorize.indexes%20%3E%20(model)%20index_delete_by_ids_response%20%3E%20(schema)%20%3E%20(property)%20mutationId">Link to this property</a>

</details>

[Link to this property](<#(resource)%20vectorize.indexes%20%3E%20(model)%20index_delete_by_ids_response%20%3E%20(schema)>)

### Delete Vectors By Identifier

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.vectorize.indexes.delete_by_ids(
    index_name="example-index",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(response.mutation_id)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "mutationId": "0000aaaa-11bb-22cc-33dd-444444eeeeee"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "mutationId": "0000aaaa-11bb-22cc-33dd-444444eeeeee"
  },
  "success": true
}
```